Package: groovy.swing.factory

## [Groovy] Class WidgetFactory

- groovy.swing.factory.WidgetFactory

-     class WidgetFactory
      extends AbstractFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `leaf` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `restrictedType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WidgetFactory(Class restrictedType, boolean leaf)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Field Detail

    - #### protected final boolean leaf

  - ### Property Detail

    - #### final Class restrictedType

  - ### Constructor Detail

    - #### WidgetFactory(Class restrictedType, boolean leaf)

  - ### Method Detail

    - #### boolean isLeaf()

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)